App\Library\Amazon\Classes\BooksMisc:
    xml_root_name: BooksMisc
    properties:
        author:
            expose: true
            access_type: public_method
            serialized_name: Author
            accessor:
                getter: getAuthor
                setter: setAuthor
            type: string
        binding:
            expose: true
            access_type: public_method
            serialized_name: Binding
            accessor:
                getter: getBinding
                setter: setBinding
            type: string
        dustJacket:
            expose: true
            access_type: public_method
            serialized_name: DustJacket
            accessor:
                getter: getDustJacket
                setter: setDustJacket
            type: string
        edition:
            expose: true
            access_type: public_method
            serialized_name: Edition
            accessor:
                getter: getEdition
                setter: setEdition
            type: string
        editor:
            expose: true
            access_type: public_method
            serialized_name: Editor
            accessor:
                getter: getEditor
                setter: setEditor
            type: string
        illustrator:
            expose: true
            access_type: public_method
            serialized_name: Illustrator
            accessor:
                getter: getIllustrator
                setter: setIllustrator
            type: string
        introduction:
            expose: true
            access_type: public_method
            serialized_name: Introduction
            accessor:
                getter: getIntroduction
                setter: setIntroduction
            type: string
        isAdultProduct:
            expose: true
            access_type: public_method
            serialized_name: IsAdultProduct
            accessor:
                getter: getIsAdultProduct
                setter: setIsAdultProduct
            type: boolean
        isFixedPrice:
            expose: true
            access_type: public_method
            serialized_name: IsFixedPrice
            accessor:
                getter: getIsFixedPrice
                setter: setIsFixedPrice
            type: boolean
        language:
            expose: true
            access_type: public_method
            serialized_name: Language
            accessor:
                getter: getLanguage
                setter: setLanguage
            type: string
        narrator:
            expose: true
            access_type: public_method
            serialized_name: Narrator
            accessor:
                getter: getNarrator
                setter: setNarrator
            type: string
        photographer:
            expose: true
            access_type: public_method
            serialized_name: Photographer
            accessor:
                getter: getPhotographer
                setter: setPhotographer
            type: string
        preface:
            expose: true
            access_type: public_method
            serialized_name: Preface
            accessor:
                getter: getPreface
                setter: setPreface
            type: string
        publicationDate:
            expose: true
            access_type: public_method
            serialized_name: PublicationDate
            accessor:
                getter: getPublicationDate
                setter: setPublicationDate
            type: GoetasWebservices\Xsd\XsdToPhp\XMLSchema\DateTime
        signedBy:
            expose: true
            access_type: public_method
            serialized_name: SignedBy
            accessor:
                getter: getSignedBy
                setter: setSignedBy
            type: string
        sourcedCountryCode:
            expose: true
            access_type: public_method
            serialized_name: SourcedCountryCode
            accessor:
                getter: getSourcedCountryCode
                setter: setSourcedCountryCode
            type: string
        subject:
            expose: true
            access_type: public_method
            serialized_name: Subject
            accessor:
                getter: getSubject
                setter: setSubject
            type: string
        translator:
            expose: true
            access_type: public_method
            serialized_name: Translator
            accessor:
                getter: getTranslator
                setter: setTranslator
            type: string
        volume:
            expose: true
            access_type: public_method
            serialized_name: Volume
            accessor:
                getter: getVolume
                setter: setVolume
            type: string
        numberOfPages:
            expose: true
            access_type: public_method
            serialized_name: NumberOfPages
            accessor:
                getter: getNumberOfPages
                setter: setNumberOfPages
            type: integer
        bisacSubjectDescriptionCode:
            expose: true
            access_type: public_method
            serialized_name: BisacSubjectDescriptionCode
            accessor:
                getter: getBisacSubjectDescriptionCode
                setter: setBisacSubjectDescriptionCode
            type: string
        collectionName:
            expose: true
            access_type: public_method
            serialized_name: CollectionName
            accessor:
                getter: getCollectionName
                setter: setCollectionName
            type: string
        seriesNumber:
            expose: true
            access_type: public_method
            serialized_name: SeriesNumber
            accessor:
                getter: getSeriesNumber
                setter: setSeriesNumber
            type: integer
        format:
            expose: true
            access_type: public_method
            serialized_name: Format
            accessor:
                getter: getFormat
                setter: setFormat
            xml_list:
                inline: true
                entry_name: Format
            type: array<string>
        bookdataBicSubjectCode:
            expose: true
            access_type: public_method
            serialized_name: BookdataBicSubjectCode
            accessor:
                getter: getBookdataBicSubjectCode
                setter: setBookdataBicSubjectCode
            type: string
        themaClassificationCode:
            expose: true
            access_type: public_method
            serialized_name: ThemaClassificationCode
            accessor:
                getter: getThemaClassificationCode
                setter: setThemaClassificationCode
            type: string
